routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','Admin\DashboardController@viewDashboard')->name('dashboard.show');

Route::get('/dashboard','Admin\DashboardController@viewDashboard')->name('dashboard.show');
Route::get('/survey','Admin\SurveyController@viewSurvey');

//Sondage
Route::resource('sondages','Admin\SondageController');
Route::get('sondages/link/{slug}','Admin\SondageController@linkSondage')->name('link.sondage');
Route::get('sondages/stat/{sondage}','Admin\SondageController@statView')->name('stat.sondage');

//User
Route::resource('users','Admin\UserController')->except(['index']);


//Question
Route::resource('questions','Admin\QuestionController')->except(['create']);
Route::get('/questions/{sondage}/create', 'Admin\QuestionController@create')->name('question.create');

//Sous Question
Route::get('/sousquestions/{option}/create','Admin\QuestionController@createSousQuestion')->name('sousquestion.create');
Route::post('/sousquestions/store','Admin\QuestionController@storeSousQuestion')->name('sousquestion.store');
Route::get('/sousquestions/{option}/edit','Admin\QuestionController@editSousQuestion')->name('sousquestion.edit');


//GroupeDevice
Route::resource('groupesdevices','Admin\GroupeDeviceController');
Route::get('groupesdevices/stat/{groupeDevice}','Admin\GroupeDeviceController@groupesStat')->name('devices.stat');

//Devices
Route::get('/devices/{groupe}','Admin\DeviceController@viewDevice')->name('devices.view');

//Email
Route::resource('customeremails','Admin\EmailParticipantController');
Route::get('customeremail/{sondage}','Admin\EmailParticipantController@createForm')->name('customeremail.form');
Route::get('customeremail/{sondage}/mails','Admin\EmailParticipantController@sondageByMail')->name('mails.sondage');
Route::post('customeremail/store','Admin\EmailParticipantController@sendMail')->name('mails.store');
Route::get('web/sondagemail/{id}','Admin\EmailParticipantController@statistiqueEmail')->name('email.sondagemail');


//Web
Route::resource('web','Admin\WebSondageController');
Route::get('web/sondageweb/{id}','Admin\WebSondageController@statistiqueWeb')->name('web.sondageweb');
Route::get('web/sondage/{id}','Admin\WebSondageController@viewSondage')->name('web.viewsondage');



//Envoi de mail
Route::get('/sendmails','Admin\EmailParticipantController@sendmail');

//




Auth::routes();
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout')->name('logout');

Route::get('/home', 'HomeController@index')->name('home');

resources/views/back/groupe/create.blade.php
@extends('back.layout.app')


@section('content')

    <div class="container-fluid">
        <!-- .row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0">Creer un groupe</h3>
                    <p class="text-muted m-b-30 font-13"> All bootstrap element classies </p>
                    <form class="form-horizontal" method="POST" action="{{ route('groupesdevices.store') }}" >
                        @csrf
                        <div class="form-group">
                            <label class="col-md-12">Titre du groupe</label>
                            <div class="col-md-12">
                                <input type="text" class="form-control" value=""  name="libelle">
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Sondage</label>
                                <select class="form-control" data-placeholder="le sondage" tabindex="1" name="sondage" >
                                    @foreach($sondages as $sondage)
                                    <option value="{{ $sondage->id }}">{{ $sondage->titre }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <button type="submit" > envoyer</button>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row -->
        <!-- ===== Right-Sidebar-End ===== -->
    </div>
    <script>

    </script>



@endsection

resources/views/back/groupe/edit.blade.php
@extends('back.layout.app')


@section('content')

    <div class="container-fluid">
        <!-- .row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0">Creer un groupe</h3>
                    <p class="text-muted m-b-30 font-13"> All bootstrap element classies </p>
                    <form class="form-horizontal" method="POST" action="{{ route('groupesdevices.update',$groupe->id) }}" >
                        {{ method_field('PUT') }}
                        @csrf
                        <div class="form-group">
                            <label class="col-md-12">Titre du groupe</label>
                            <div class="col-md-12">
                                <input type="text" class="form-control" value="{{ $groupe->libelle }}"  name="libelle">
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Sondage</label>
                                <select class="form-control" data-placeholder="le sondage"  name="sondage" >
                                    @foreach($sondages as $sondage)
                                        <option value="{{ $sondage->id }}" @if($groupe->sondage_id === $sondage->id) selected='selected' @endif> {{ $sondage->titre }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <button type="submit" > envoyer</button>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row -->
        <!-- ===== Right-Sidebar-End ===== -->
    </div>
    <script>

    </script>



@endsection

resources/views/back/groupe/index.blade.php
@extends('back.layout.app')
@section('content')

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-6 col-sm-12">
                <div class="panel panel-info">
                    <div class="panel-heading"> Création du groupe</div>
                    <div class="panel-wrapper collapse in" aria-expanded="true">
                        <div class="panel-body">
                            <form class="form-horizontal" method="POST" action="{{ route('groupesdevices.store') }}">
                                @csrf
                                @include('back.layout.messages')
                                <div class="form-body">
                                    <h3 class="box-title">GROUPE</h3>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group @if($errors->has('titre')) has-error @endif">
                                                <label class="control-label">Titre du groupe</label>
                                                <input type="text" id="titre" name="titre" class="form-control" value="{{old('titre')}}" placeholder="titre">
                                                @if($errors->has('titre'))
                                                    <span class="help-block"> Titre non conforme. </span>
                                                @endif
                                            </div>
                                        </div>
                                        <!--/span-->
                                    </div>
                                    <!--/row-->
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group @if($errors->has('sondage')) has-error @endif ">
                                                <label class="control-label">Sondage</label>
                                                <select class="form-control" name="sondage">
                                                    @foreach($sondages as $sondage)
                                                        <option value="{{ $sondage->id }}" >{{ $sondage->titre }}</option>
                                                    @endforeach
                                                </select>
                                                @if($errors->has('sondage'))
                                                    <span class="help-block"> Sondage non conforme. </span>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <!--/row-->
                                </div>
                                <div class="form-actions">
                                    <button type="submit" class="btn btn-success"> <i class="fa fa-check"></i> Enregistrer</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-12">
                <div class="panel panel-info">
                    <div class="panel-heading"> Liste des groupes</div>
                    <div class="panel-wrapper collapse in" aria-expanded="true">
                        <div class="panel-body">
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th> #</th>
                                        <th>Titre</th>
                                        <th>Sondage</th>
                                        <th class="text-nowrap">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($groupes as $key=>$groupe)
                                        <input type="hidden" {{ $key++ }}>
                                    <tr>
                                        <td> {{ $key }}</td>
                                        <td>{{$groupe->libelle}}</td>
                                        <td>{{ $groupe->sondage->titre }}</td>
                                        <td class="text-nowrap">
                                            <a href="{{route('devices.view',$groupe->id)}}" data-toggle="tooltip" data-original-title="Edit" > <i class="fa fa-mobile-phone text-inverse m-r-10"></i> </a>
                                            <a href="#deleteGroupe" data-toggle="modal" data-original-title="Close" data-groupe-id="{{$groupe->id}}"> <i class="fa fa-close text-danger"></i> </a>
                                            <a href="{{route('devices.stat',$groupe->id)}}" > <i class="fa fa-newspaper-o text-default"></i> </a>
                                        </td>
                                    </tr>
                                    @endforeach
                                    </tbody>

                                     {{ $groupes->links() }}

                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="deleteGroupe" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title" id="myModalLabel">Supprimer</h4> </div>
                <div class="modal-body">
                    <h4>Ête vous de supprimer ce groupe <span id="sondageTitre"> </span>?</h4>
                </div>
                <div class="modal-footer">
                    <form id="userForm" action="" method="post">
                        @csrf
                        @method('DELETE')
                        <input type="hidden" name="id">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                        <button type="submit" class="btn btn-danger">Supprimer</button>
                    </form>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>


@endsection


@section('scripts')

    <script>

        $('#deleteGroupe').on('show.bs.modal', function(e) {


            var groupeId = $(e.relatedTarget).data('groupe-id');
            //var sondageTitre = $(e.relatedTarget).data('sondage-titre');


            $('#userForm').attr("action", "{{ url('/groupesdevices') }}" + "/" + groupeId);
          //  $('#sondageTitre').val(sondageTitre)
        });
    </script>

    @endsection

resources/views/back/groupe/stat.blade.php
@extends('back.layout.app')
@section('content')
        <div class="container-fluid">
            <div class="w3-container m-t-20 ">
                <div class="row white-box">
                    <div class="row" id="MainStat">
                        <div class="col-md-12 row">
                            <div class="col-md-12">
                            </div>
                            @if($globalStat["smile"]["happy"] + $globalStat["smile"]["sad"] > 0)
                                <div class="col-md-12 row">
                                    <div class="col-md-6 p-10 white-box" style="height: 220px; width:50%">
                                        <div class="col-md-6">
                                            <div class="complete-chart" id="graph1"
                                                 data-percent="{{round((($globalStat["smile"]["happy"] * 100) / ($globalStat["smile"]["happy"] + $globalStat["smile"]["sad"])),2)}}"
                                                 data-size="160" data-line="10"
                                                 data-rotate="0"
                                                 data-text="😄"
                                                 data-color="#e74a25" data-text-color="#e74a25">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h2>{{round((($globalStat["smile"]["happy"] * 100) / ($globalStat["smile"]["happy"] + $globalStat["smile"]["sad"])),2)}}
                                                %</h2>
                                        </div>
                                    </div>
                                    <div class="col-md-6 row p-10 white-box" style="height: 220px; width:50%">
                                        <div class="col-md-6">
                                            <div class="complete-chart" id="graph2"
                                                 data-percent="{{round((($globalStat["smile"]["sad"] * 100) / ($globalStat["smile"]["happy"] + $globalStat["smile"]["sad"])),2)}}"
                                                 data-size="160" data-line="10"
                                                 data-rotate="0"
                                                 data-text="😞"
                                                 data-color="#e74a25" data-text-color="#e74a25">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h2>{{round((($globalStat["smile"]["sad"] * 100) / ($globalStat["smile"]["happy"] + $globalStat["smile"]["sad"])),2)}}
                                                %</h2>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            @if(($globalStat["trueFalse"]["yes"] + $globalStat["trueFalse"]["no"]) > 0)
                                <div class="col-md-12 row">
                                    <div class="col-md-6 p-10  white-box" style="height: 220px; width:50%">
                                        <div class="col-md-6">
                                            <div class="complete-chart" id="graph1smileyes"
                                                 data-percent="{{round((($globalStat["trueFalse"]["yes"] * 100) / ($globalStat["trueFalse"]["yes"] + $globalStat["trueFalse"]["no"])),2)}}"
                                                 data-size="160" data-line="10"
                                                 data-rotate="0"
                                                 data-text="✔"
                                                 data-color="#e74a25" data-text-color="#e74a25">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h2>{{round((($globalStat["trueFalse"]["yes"] * 100) / ($globalStat["trueFalse"]["yes"] + $globalStat["trueFalse"]["no"])),2)}}%</h2>
                                        </div>
                                    </div>
                                    <div class="col-md-6 row p-10 white-box" style="height: 220px; width:50%">
                                        <div class="col-md-6">
                                            <div class="complete-chart" id="graphsmileNo"
                                                 data-percent="{{round((($globalStat["trueFalse"]["no"] * 100) / ($globalStat["trueFalse"]["yes"] + $globalStat["trueFalse"]["no"])),2)}}"
                                                 data-size="160" data-line="10"
                                                 data-rotate="0"
                                                 data-text="✘"
                                                 data-color="#e74a25" data-text-color="#e74a25">
                                                <canvas height="160" width="160"></canvas>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h2>{{round((($globalStat["trueFalse"]["no"] * 100) / ($globalStat["trueFalse"]["yes"] + $globalStat["trueFalse"]["no"])),2)}}%</h2>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>


                    </div>
                    <div class="row">

                        @if($nbr_reponse > 0)
                            @foreach($questions_array as $key=>$question)


                                @switch ($question['type_reponse_id'])
                                    @case(1)
                                    @include('back.sondage.overview_inc.case1')
                                    @break
                                    @case(2)
                                    @include('back.sondage.overview_inc.case2')
                                    @break
                                    @case(3)
                                    @include('back.sondage.overview_inc.case3')
                                    @break
                                    @case(4)
                                    @include('back.sondage.overview_inc.case4')
                                    @break
                                    @case(5)
                                    @include('back.sondage.overview_inc.case5')
                                    @break
                                    @case(6)
                                    @include('back.sondage.overview_inc.case6')
                                    @break
                                    @case(7)
                                    @include('back.sondage.overview_inc.case7')
                                    @break
                                    @case(8)
                                    @include('back.sondage.overview_inc.case8')
                                    @break
                                @endswitch

                            @endforeach

                        @endif


                    </div>
                </div>
            </div>
        </div>

@endsection
@section('scripts')
@endsection